com.r3corda.core.messaging / MessagingServiceBuilder

# MessagingServiceBuilder

`interface MessagingServiceBuilder<out T : MessagingService>`

This class lets you start up a MessagingService. Its purpose is to stop you from getting access to the methods on the messaging service interface until you have successfully started up the system. One of these objects should be the only way to obtain a reference to a MessagingService. Startup may be a slow process: some implementations may let you cast the returned future to an object that lets you get status info.

A specific implementation of the controller class will have extra features that let you customise it before starting it up.

### Functions

start | `abstract fun start(): <ERROR CLASS><out T>`

### Inheritors

Builder | `inner class Builder : MessagingServiceBuilder<InMemoryMessaging>`